summaryrefslogtreecommitdiffstats
path: root/tests/functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functions.sh')
-rw-r--r--tests/functions.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/functions.sh b/tests/functions.sh
index 3888f0dcd..a1ed3ad22 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -491,6 +491,22 @@ function ts_device_has_uuid {
return $?
}
+function ts_mount {
+ local out
+ local result
+ local msg
+
+ out=$($TS_CMD_MOUNT "$@" 2>&1)
+ result=$?
+ echo -n "$out" >> $TS_OUTPUT
+
+ if [ $result != 0 ]; then
+ msg=$(echo "$out" | grep -m1 "unknown filesystem type") \
+ && ts_skip "$msg"
+ fi
+ return $result
+}
+
function ts_is_mounted {
local DEV=$(ts_canonicalize "$1")